Bug 1249376 - Stopwatch progress is not rendered properly
Stopwatch progress is not rendered properly
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gnome-clocks (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Yanko Kaneti
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-02 02:50 EDT by Pavel Grunt
Modified: 2015-08-10 05:56 EDT (History)
3 users (show)

See Also:
Fixed In Version: gnome-clocks-3.16.1-4.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-10 05:56:37 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screencast of the problem (875.11 KB, application/octet-stream)
2015-08-02 02:50 EDT, Pavel Grunt
no flags Details
Fix redraw (652 bytes, patch)
2015-08-03 09:27 EDT, Yanko Kaneti
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 753179 None None None Never

  None (edit)
Description Pavel Grunt 2015-08-02 02:50:10 EDT
Created attachment 1058445 [details]
screencast of the problem

Description of problem:
The progress circle is not rendered when stopwatch runs. 

Version-Release number of selected component (if applicable):
gnome-clocks-3.16.1-3.fc23.x86_64
atk-0:2.16.0-2.fc23.x86_64
bash-0:4.3.39-5.fc23.x86_64
cairo-0:1.14.2-2.fc23.x86_64
cairo-gobject-0:1.14.2-2.fc23.x86_64
gdk-pixbuf2-0:2.31.5-1.fc23.x86_64
geocode-glib-0:3.17.1-3.fc23.x86_64
glib2-0:2.45.4-1.fc23.x86_64
glibc-0:2.21.90-21.fc23.i686
glibc-0:2.21.90-21.fc23.x86_64
gnome-desktop3-0:3.17.4-1.fc23.x86_64
gsound-0:1.0.1-2.fc23.x86_64
gtk3-0:3.17.5-1.fc23.x86_64
libgweather-0:3.17.2-1.fc23.x86_64
pango-0:1.37.2-1.fc23.x86_64

How reproducible:
100%

Steps to Reproduce:
1. Start stopwatch

Actual results:
Progress does not render

Expected results:
Progress renders continuously 

Additional info:
Progress is rendered when another window gains the focus - see the attachment
Comment 1 Yanko Kaneti 2015-08-03 09:27:07 EDT
Created attachment 1058770 [details]
Fix redraw

I think its missing a redraw.
I've filled https://bugzilla.gnome.org/show_bug.cgi?id=753179 upstream
Comment 2 Fedora Update System 2015-08-04 11:12:29 EDT
gnome-clocks-3.16.1-4.fc23 has been submitted as an update for Fedora 23.
https://admin.fedoraproject.org/updates/gnome-clocks-3.16.1-4.fc23
Comment 3 Fedora Update System 2015-08-04 20:11:42 EDT
Package gnome-clocks-3.16.1-4.fc23:
* should fix your issue,
* was pushed to the Fedora 23 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gnome-clocks-3.16.1-4.fc23'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-12731/gnome-clocks-3.16.1-4.fc23
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2015-08-10 05:56:37 EDT
gnome-clocks-3.16.1-4.fc23 has been pushed to the Fedora 23 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.